%define prefix /usr/X11R6

Name:		wmcube-gdk
Version:	0.98p2
Release:	alt3

Packager:	Alexey Voinov <voins@altlinux.ru>

Summary:	It's dockapp that displays a rotating 3d-object and the CPU load
Group:		Graphical desktop/Window Maker
License: 	GPL
Url: 		http://www.ne.jp/asahi/linux/timecop/#wmcube
Source0: 	%name-%version.tar.bz2
Source1: 	%name.menu
Source2:	peace.wmc

Patch0:		%name-0.98p1-zoom.patch
Patch1:		%name-0.98p1-autodock.patch

# Automatically added by buildreq on Tue Oct 07 2003
BuildRequires: XFree86-devel XFree86-libs glib-devel gtk+-devel

%description 
wmCube is a dockapp that displays a realtime rotating 3d-object
and the current CPU load.

%prep
%setup -q -n %name-%version
%patch -p1
%patch1 -p1

%build
%make_build INCDIR="`gtk-config --cflags` `glib-config --cflags`" CFLAGS="$RPM_OPT_FLAGS -DLINUX"

%install
install -p -D -m755 wmcube $RPM_BUILD_ROOT%prefix/bin/wmcube
install -p -D -m644 %SOURCE1 $RPM_BUILD_ROOT%_menudir/%name
install -d $RPM_BUILD_ROOT%_datadir/wmcube/
install -p -D -m644 3dObjects/* $RPM_BUILD_ROOT%_datadir/wmcube/
install -p -D -m644 %SOURCE2 $RPM_BUILD_ROOT%_datadir/wmcube/peace.wmc

%post
%update_menus

%postun
%clean_menus

%files
%doc README README.GDK INSTALL CHANGES TODO
%prefix/bin/wmcube
%_menudir/*
%_datadir/wmcube/*

%changelog
* Tue Oct 07 2003 Alexey Voinov <voins@altlinux.ru> 0.98p2-alt3
- buildreq fixed
- peace.wmc fixed

* Wed Oct 23 2002 Alexey Voinov <voins@voins.program.ru> 0.98p2-alt2
- new version (0.98p2)
- spec cleanup

* Fri Sep 14 2001 Alexey Voinov <voins@voins.program.ru> 0.98p1-alt2
- autodock patch added

* Thu Sep 13 2001 Alexey Voinov <voins@voins.program.ru>
- initial build
- zoom patch (now zoom level can be set from command line)

